#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=django-cas-server
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ -d debian/doctrees $(CURDIR)/debian/python3-django-cas-server-doc/usr/share/doc/python3-django-cas-server/html
	PYTHONPATH=. python3 -m sphinx -b man -N docs/ -d debian/doctrees $(CURDIR)/debian/python3-django-cas-server-doc/usr/share/doc/python3-django-cas-server/man
	dh_sphinxdoc
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/doctrees
